// @(#)$Id: JMLNoSuchElementException.java,v 1.5 2004/01/10 23:08:35 davidcok Exp $

// Copyright (C) 1998, 1999, 2002 Iowa State University

// This file is part of JML

// JML is free software; you can redistribute it and/or modify
// it under the terms of the GNU General Public License as published by
// the Free Software Foundation; either version 2, or (at your option)
// any later version.

// JML is distributed in the hope that it will be useful,
// but WITHOUT ANY WARRANTY; without even the implied warranty of
// MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
// GNU General Public License for more details.

// You should have received a copy of the GNU General Public License
// along with JML; see the file COPYING.  If not, write to
// the Free Software Foundation, 675 Mass Ave, Cambridge, MA 02139, USA.


package org.jmlspecs.models;

import java.util.NoSuchElementException;

/** Missing element exception used by various JML collection types and
 * enumerators.
 *
 * @version $Revision: 1.5 $
 * @author Gary T. Leavens
 */
//@ pure
public class JMLNoSuchElementException extends NoSuchElementException {

    /** Initialize this object.
     */
    public JMLNoSuchElementException() {
        super();
    }

    /** Initialize this object with the given detail string.
     */
    public JMLNoSuchElementException(String s) {
        super(s);
    }
}
